SPINNER(1)

NAME
spinner - Sends small packets over a idle link

SYNOPSIS
spinner [options]

DESCRIPTION
Spinner is an anti-idle program that displays a little "spinning" ASCII character in the top left corner of your terminal. spinner is useful for keeping telnet and ssh links from dropping due to inactivity. Many firewalls, and some ISPs drop connections when they are perceived as idle. By having spinner running the server is constantly sending a tiny amount of data over the link, preserving the connection.

OPTIONS

-f <path>
    Set pid file path (default ~/.spinner.pid)

-F  Do *NOT* create a pid file

-I  Do *NOT* use inverse video for spinner

-l <path>
    Set log file path (for debugging). Off by default.

-L  Display the license

-n  Send null characters (no visible output)

-p <priority>
    Specifies process priority to use

-P  Do *NOT* change process priority (default is to make nice)

-r  Reset term on quit (use if you get left in inverse a lot)

-R  Reset the term and Quit immediately.

-t <tty path>
    Specify path of TTY to which to write

-T  Ignore incompatible TERM environment variable setting

-u  Delay is in microseconds instead of seconds

-v  Verbose mode (lots of output)

AUTHOR
Joe Laffey

DEBIAN MAINTAINER
This man page was created for Debian by Jesus Climent